#ifndef CFLOAT
#define CFLOAT
#include <math.h>
#define cfloat_round(x) floor((x)+0.5)

cint cfloat_as_int(cfloat);
cint  cfloat_f_ceil(cint x);
cint cfloat_ff_div(cint x, cint y);
cint cfloat_fi_div(cint x, cint y);
cint  cfloat_f_fabs(cint x);
cint  cfloat_f_floor(cint x);
cint  cfloat_f_frac(cint x);
cint  cfloat_f_int(cint x);
cint cfloat_ff_idiv(cint x, cint y);
cint cfloat_fi_idiv(cint x, cint y);
cint cfloat_if_idiv(cint x, cint y);
cint cfloat_ff_min(cint x, cint y);
cint cfloat_fi_min(cint x, cint y);
cint cfloat_ff_mod(cint x, cint y);
cint cfloat_fi_mod(cint x, cint y);
cint cfloat_if_mod(cint x, cint y);
cint cfloat_ff_mul(cint x, cint y);
cint cfloat_fi_mul(cint x, cint y);
cint cfloat_ff_plus(cint x, cint y);
cint cfloat_fi_plus(cint x, cint y);
cint cfloat_ff_pow(cint x, cint y);
cint cfloat_fi_pow(cint x, cint y);
cint cfloat_if_pow(cint x, cint y);
cint cfloat_ii_pow(cint x, cint y);
cint cfloat_ff_rem(cint x, cint y);
cint cfloat_fi_rem(cint x, cint y);
cint cfloat_if_rem(cint x, cint y);
#endif

